package com.brilliance.mda.runtime.mda;

import java.io.File;
import java.io.IOException;
import java.util.List;

public interface IDataGrid {

    String getLine(int idx);
    String deleteLine(int idx);
    void sortLines();
    int countLines();
    int searchLine(String line);
    void setRows(List<String> list);
    List<String> getRows();
    void insertLine(int idx, String line);
    void setLine(int idx, String line);

    void clearLines();
    void addLine(String line);
    void saveLines(File file)throws IOException;
    void loadLines(File file) throws IOException;
    boolean isLinesChanged();
    <T> void setAttribute(String attr, T t);
    <T> T getAttribute(String attr);

    String defaultColDelimiter = "\t";

}
